Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Static Public Attributes | List of all members
wowf.models.meta.Base Class Reference
Inheritance diagram for wowf.models.meta.Base:
Collaboration diagram for wowf.models.meta.Base:

## Public Member Functions
def | __str__
def | __repr__
def | __unicode__
def | get_by_id
def | create
def | delete
Public Member Functions inherited from wowf.lib.fulltext.FulltextBase
def | index_type
def | index_id
def | index_data
def | add_index
| Add a fulltext index for this instance.
def | delete_index
| Delete the fulltext index for this instance.
def | update_index
| Update the fulltext index for this instance.

## Static Public Attributes
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Detailed Description

Definition at line 11 of file meta.py.

## Member Function Documentation

def wowf.models.meta.Base.__repr__ | ( |  | self | ) |

Definition at line 18 of file meta.py.

def wowf.models.meta.Base.__str__ | ( |  | self | ) |

Definition at line 15 of file meta.py.

def wowf.models.meta.Base.__unicode__ | ( |  | self | ) |

Reimplemented in wowf.models.challenge.SquatChallenge, wowf.models.challenge.BenchPressChallenge, wowf.models.challenge.EnduranceChallenge, wowf.models.challenge.SpeedChallenge, wowf.models.user.User, and wowf.models.notification.Notification.

Definition at line 21 of file meta.py.

def wowf.models.meta.Base.create | ( |  | cls,
|  |  | kwargs
| ) |  |

Definition at line 29 of file meta.py.

def wowf.models.meta.Base.delete | ( |  | self | ) |

Definition at line 35 of file meta.py.

def wowf.models.meta.Base.get_by_id | ( |  | cls,
|  |  | id
| ) |  |

Definition at line 25 of file meta.py.

## Member Data Documentation

tuple wowf.models.meta.Base.query = DBSession.query_property()
| static

Definition at line 13 of file meta.py.

The documentation for this class was generated from the following file:

- wowf/models/meta.py